Bug 857367 - destroy default virtual network throw error in libvirtd.log
destroy default virtual network throw error in libvirtd.log
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Linux
low Severity low
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 04:53 EDT by yanbing du
Modified: 2013-02-21 02:23 EST (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:23:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yanbing du 2012-09-14 04:53:15 EDT
Description of problem:
When destroy libvirt default virtual network, there's 2 error message loged libvirtd.log.


Version-Release number of selected component (if applicable):
100%

How reproducible:
1.Destroy the default virtual network 
# virsh net-list
Name                 State      Autostart
-----------------------------------------
default              active     yes  
# virsh net-destroy default
Network default destroyed

2. Check the libvirtd.log
------
2012-09-14 08:36:37.665+0000: 7575: info : libvirt version: 0.10.1, package: 2.el6 (Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>, 2012-09-13-00:00:13, x86-009.build.bos.redhat.com)
2012-09-14 08:36:37.665+0000: 7575: error : virCommandWait:2332 : internal error Child process (/sbin/tc qdisc del dev virbr0 root) unexpected exit status 2: RTNETLINK answers: No such file or directory

2012-09-14 08:36:37.670+0000: 7575: error : virCommandWait:2332 : internal error Child process (/sbin/tc qdisc del dev virbr0 ingress) unexpected exit status 2: RTNETLINK answers: Invalid argument
------

  
Actual results:
2 error messages logged.

Expected results:
No such error.

Additional info:
Comment 2 min zhan 2012-09-14 05:28:32 EDT
BTW, The version is libvirt-0.10.1-2.el6.x86_64.
Comment 3 Martin Kletzander 2012-09-18 11:09:30 EDT
Moving to POST:

commit 2f678bb10faccba30319488420c586b6a5436f94
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Sep 18 12:01:18 2012 +0200

    virNetDevBandwidthClear: Improve error handling
Comment 4 yanbing du 2012-09-25 03:43:12 EDT
Test with libvirt-0.10.2-1.el6.x86_64, bug fixed.
When destroy the default network, no such errors in libvirtd.log.
Comment 5 errata-xmlrpc 2013-02-21 02:23:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.